

# llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_5P_0417_v2_lora_merge
############################################### VQA RAD ###############################################
# python -m llava.eval.model_vqa_science \
#     --model-path    /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_20P_0414_lora_merge  \
#     --question-file /code/NIPS_2024/DATASET/VQA_RAD/test_conversations.json \
#     --image-folder  /code/NIPS_2024/DATASET/VQA_RAD/VQA_RAD_images \
#     --answers-file  /code/NIPS_2024/DATASET/VQA_RAD/answer/llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_20P_0414_lora_merge.jsonl \
#     --single-pred-prompt \
#     --temperature 0 \
#     --conv-mode vicuna_v1



python -m llava.eval.model_vqa_science \
    --model-path    /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_60P_0414_lora_merge  \
    --question-file /code/NIPS_2024/TinyMed/3vqa/test_rad.json \
    --image-folder  /code/NIPS_2024/TinyMed/3vqa/images \
    --answers-file  /code/NIPS_2024/TinyMed/3vqa/answer/llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_60P_0414_lora_merge_all.jsonl \
    --single-pred-prompt \
    --temperature 0 \
    --conv-mode vicuna_v1



# ############################################### PathVQA ###############################################

# python -m llava.eval.model_vqa_science \
#     --model-path    /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_60P_0414_lora_merge \
#     --question-file /code/NIPS_2024/DATASET/pvqa/pvqa_test.json \
#     --image-folder  /code/NIPS_2024/DATASET/pvqa/images/test \
#     --answers-file  /code/NIPS_2024/DATASET/pvqa/answer/llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_60P_0414_lora_merge.jsonl \
#     --single-pred-prompt \
#     --temperature 0 \
#     --conv-mode vicuna_v1

 
# llava-v1.5-7b
# llava_15_7b_lora_instruct_10k_0321_lora_merge
# llava_15_7b_lora_instruct_10k_related_0321_lora_merge
# llava_15_7b_lora_instruct_10k_after_chat_single_ours_version_0322_lora_merge
# llava_15_7b_lora_instruct_10k_after_chat_single_ours_version_related_0322_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_0328_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_related_0329_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_related_7%_BiomedCLIP_0402_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_related_20%_BiomedCLIP_0403_lora_merge
# llava_15_7b_lora_instruct_60k_multi_clip_score_related_5P_0404_lora_merge
# llava_15_7b_lora_instruct_60k_multi_clip_score_related_10P_0404_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_related_v2_0404_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_related_3w2_0407_lora_merge

# llava_15_7b_lora_instruct_60k_single_ours_version_cherry_2w_5w_0409_v2_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_cherry_3w_5w_0409_v2_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_related_plip_score_1w_0410_lora_merge
# llava_15_7b_lora_60k_single_cherry_low_1w_5w_0411_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_cherry_high_1w_5w_0411_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_cherry_high_2w_5w_0411_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_cherry_high_3w_all_0413_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_plip_scores_1w_0413_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_plip_scores_2w_0413_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_plip_scores_3w_0413_lora_merge
# llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_60P_0414_lora_merge

# cd /code/NIPS_2024/LLaVA
# bash scripts/v1_5/eval/rad_vqa.sh



# ################################################ Slake ###############################################
# python -m llava.eval.model_vqa_science \
#     --model-path     /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_60P_0414_lora_merge \
#     --question-file  /code/NIPS_2024/DATASET/Slake/Slake1.0/test_conversations.json \
#     --image-folder   /code/NIPS_2024/DATASET/Slake/Slake1.0/imgs \
#     --answers-file   /code/NIPS_2024/DATASET/Slake/Slake1.0/answer/llava_15_7b_lora_instruct_60k_single_ours_version_clip_score_related_60P_0414_lora_merge.jsonl \
#     --single-pred-prompt \
#     --temperature 0 \
#     --conv-mode vicuna_v1



############################################### PMC-VQA ###############################################
# python -m llava.eval.model_vqa_science \
#     --model-path    /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_0321_lora_merge \
#     --question-file  /code/NIPS_2024/DATASET/PMC-VQA/test_1000.json \
#     --image-folder   /code/NIPS_2024/DATASET/PMC-VQA/images \
#     --answers-file   /code/NIPS_2024/DATASET/PMC-VQA/answer/llava_15_7b_lora_instruct_10k_0321_lora_merge.jsonl \
#     --single-pred-prompt \
#     --temperature 0 \
#     --conv-mode vicuna_v1










# python llava/eval/eval_science_qa.py \
#     --base-dir /code/NIPS_2024/DATASET/VQA_Dataset/ScienceQA \
#     --result-file /code/NIPS_2024/DATASET/VQA_Dataset/ScienceQA/answers/llava_15_7b_lora_instruct_60k_single_ours_version_related_0329_v3_lora_merge.jsonl \
#     --output-file /code/NIPS_2024/DATASET/VQA_Dataset/ScienceQA/llava_15_7b_lora_instruct_60k_single_ours_version_related_0329_lora_merge_output.jsonl \
#     --output-result /code/NIPS_2024/DATASET/VQA_Dataset/ScienceQA/llava_15_7b_lora_instruct_60k_single_ours_version_related_0329_lora_merge_result.json







# python -m llava.eval.model_vqa_med \
#     --model-name    /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_0321_lora_merge \
#     --question-file  /code/NIPS_2024/DATASET/Slake/Slake1.0/test_conversations.json \
#     --image-folder   /code/NIPS_2024/DATASET/Slake/Slake1.0/imgs \
#     --answers-file   /code/NIPS_2024/DATASET/Slake/Slake1.0/answer/llava_15_7b_lora_instruct_10k_0321_lora_merge_v2.jsonl \
#     # --single-pred-prompt \
#     # --temperature 0 \
#     # --conv-mode vicuna_v1
 


# --model-path /code/NIPS_2024/Model/llava-v1.5-7b
# --model-path /code/NIPS_2024/Model/llava-v1.5-7b-lora_merge  \
# --model-path /code/NIPS_2024/Llava_Med/checkpoints/llava-v1.5-7b-lora_merge_demo  \
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_0321_lora_merge
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_related_0321_lora_merge
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_after_chat_single_ours_version_0322_lora_merge
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_after_chat_single_ours_version_related_0322_lora_merge
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_rqa_rad_instruction_0403_lora_merge

# python llava/eval/eval_science_qa.py \
#     --base-dir /code/NIPS_2024/DATASET/VQA_Dataset/ScienceQA \
#     --result-file /code/NIPS_2024/DATASET/VQA_RAD/answer/llava_15_7b_lora_instruct_60k_single_ours_version_0328_lora_merge.jsonl \
#     --output-file /code/NIPS_2024/DATASET/VQA_RAD/answer/llava_15_7b_lora_instruct_60k_single_ours_version_0328_lora_merge_output.jsonl \
#     --output-result /code/NIPS_2024/DATASET/VQA_RAD/answer/llava_15_7b_lora_instruct_60k_single_ours_version_0328_lora_merge_result.json













#########################################################################
# python -m llava.eval.model_vqa_science \
#     --model-path    /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_after_chat_single_ours_version_related_0322_lora_merge    \
#     --question-file /code/NIPS_2024/DataSet/VQA_RAD/test_conversations.json \
#     --image-folder  /code/NIPS_2024/DataSet/VQA_RAD/VQA_RAD_images \
#     --answers-file  /code/NIPS_2024/DataSet/VQA_RAD/answer/llava_15_7b_lora_instruct_10k_after_chat_single_ours_version_related_0322_lora_merge.jsonl \
#     --single-pred-prompt \
#     --temperature 0 \
#     --conv-mode vicuna_v1