#!/bin/bash

python -m llava.eval.model_vqa_loader \
   --model-path  /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_noise_5P_0429_lora_merge \
    --question-file /code/NIPS_2024/DATASET/VQA_Dataset/textvqa/llava_textvqa_val_v051_ocr.jsonl \
    --image-folder /code/NIPS_2024/DATASET/VQA_Dataset/textvqa/train_images \
    --answers-file /code/NIPS_2024/DATASET/VQA_Dataset/textvqa/answers/llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_noise_5P_0429_lora_merge.jsonl \
    --temperature 0 \
    --conv-mode vicuna_v1


# llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_0428_lora_merge
# --model-path liuhaotian/llava-v1.5-7b
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_0321_lora_merge
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_related_0321_lora_merge
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_after_chat_single_ours_version_0322_lora_merge
# --model-path  /code/NIPS_2024/Llava_Med/checkpoints/llava_15_7b_lora_instruct_10k_after_chat_single_ours_version_related_0322_lora_merge

# /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_instruct_60k_single_SVIT_clip_score_related_2P_0419_lora_merge

python -m llava.eval.eval_textvqa \
    --annotation-file /code/NIPS_2024/DATASET/VQA_Dataset/textvqa/TextVQA_0.5.1_val.json \
    --result-file /code/NIPS_2024/DATASET/VQA_Dataset/textvqa/answers/llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_noise_5P_0429_lora_merge.jsonl


# bash scripts/v1_5/eval/textvqa.sh





################# liuhaotian/llava-v1.5-7b ##################
# Samples: 5000
# Accuracy: 58.25%

################# llava_15_7b_lora_instruct_60k_single_SVIT_clip_score_related_2P_0419_lora_merge #################
# Samples: 5000
# Accuracy: 55.68%


# llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset8_0428_lora_merge
# Samples: 5000
# Accuracy: 56.73%

# llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_0428_lora_merge
# Samples: 5000
# Accuracy: 56.96%

# llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_noise_5P_0429_lora_merge
# # Accuracy: 56.56%


# ################# llava-v1.5-13b ##################
# Samples: 5000
# Accuracy: 61.21%




# # from 4090 multi
################# llava_15_7b_lora_SVIT_clip_score_multi_5P_0421_lora_merge #################
# Samples: 5000
# Accuracy: 56.65%

# # from 4090 multi 
################# llava_15_7b_lora_SVIT_clip_score_multi_20P_0420_lora_merge_4090 #################
# Samples: 5000
# Accuracy: 56.30%


# # from 4090 multi 
################# llava_15_7b_lora_SVIT_clip_score_multi_40P_0422_lora_merge_4090 #################
# Samples: 5000
# Accuracy: 56.56%

# # from 4090 multi 
################# llava_15_7b_lora_SVIT_clip_score_multi_60P_0422_lora_merge_4090 #################
# Samples: 5000
# Accuracy: 56.03%