#!/bin/bash



# # # --model_name_or_path /code/NIPS_2024/Model/llava-v1.5-7b \
# ############################## med数据正式开测 ##############################
# deepspeed llava/train/train_mem.py \
#     --lora_enable True --lora_r 128 --lora_alpha 256 --mm_projector_lr 2e-5 \
#     --deepspeed ./scripts/zero3.json \
#     --model_name_or_path /code/NIPS_2024/Model/llava-v1.5-7b \
#     --version v1 \
#     --data_path     /code/NIPS_2024/DATASET/SVIT_MOE/svit_tune_157k_clip_loss_noise_multi_5P.json \
#     --image_folder  /code/NIPS_2024/DATASET/SVIT_MOE  \
#     --vision_tower   openai/clip-vit-large-patch14-336 \
#     --mm_projector_type mlp2x_gelu \
#     --mm_vision_select_layer -2 \
#     --mm_use_im_start_end False \
#     --mm_use_im_patch_token False \
#     --image_aspect_ratio pad \
#     --group_by_modality_length True \
#     --bf16 True \
#     --output_dir ./checkpoints/llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_noise_5P_0429 \
#     --num_train_epochs  1 \
#     --per_device_train_batch_size 4 \
#     --per_device_eval_batch_size 4 \
#     --gradient_accumulation_steps 1 \
#     --evaluation_strategy "no" \
#     --save_strategy "steps" \
#     --save_steps 400 \
#     --save_total_limit 1 \
#     --learning_rate 2e-5 \
#     --weight_decay 0. \
#     --warmup_ratio 0.03 \
#     --lr_scheduler_type "cosine" \
#     --logging_steps 1 \
#     --tf32 True \
#     --model_max_length 2048 \
#     --gradient_checkpointing True \
#     --dataloader_num_workers 4 \
#     --lazy_preprocess True \
# #     --report_to wandb
 

# llava_15_7b_lora_SVIT_clip_score_multi_40P_042
# svit_tune_157k_clip_score_multi_40P
# svit_tune_157k_clip_score_single_20P
# llava_med_IFT_60k_single_cherry_high_1w_all
# llava_med_instruct_60k_single_clip_score_related_5P
# llava_15_7b_lora_60k_single_cherry_low_1w_5w_0411
# llava_15_7b_lora_instruct_60k_single_ours_version_cherry_high_1w_5w_0411
# llava_15_7b_lora_SVIT_clip_score_multi_5P_0421


python scripts/merge_lora_weights.py \
    --model-path /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_noise_5P_0429  \
    --model-base /code/NIPS_2024/Model/llava-v1.5-7b  \
    --save-model-path /code/NIPS_2024/LLaVA/checkpoints/llava_15_7b_lora_SVIT_clip_loss_multi_7k_subset9_noise_5P_0429_lora_merge


# cd /code/NIPS_2024/LLaVA
# bash scripts/v1_5/finetune_task_lora.sh

